{% extends 'base.html' %}
{% load bootstrap_pagination %}
{% block content %}
    <div class="d-flex" id="wrapper">
        {% include "includes/analysis_sidebar.html" %}
    <div id="page-content-wrapper">
    <div class="container-fluid">
        <div class='container' style="margin-top:20px">
            <h2 class='text-center'> {{persons_count}} Persons</h2>
            {% if persons.paginator.num_pages > 1 %}
                {% bootstrap_paginate persons show_prev_next="false" extra_pagination_classes='justify-content-center' show_first_last="true" range=8 %}
            {% endif %} 
            <p>Persons detected through NER</p>
            <table class="table">
                <thead>
                <tr>
                    <th scope="col">Text</th>
                    <th scope="col">Pages</th>
                </tr>
                </thead>
                <tbody>
                {% for person in persons %}
                    <tr>
                        <th scope="row"><a href='/entities/{{person.pk}}/stats'>{{ person }}</a></th>
                        <td>
                            {{ person.page_set.count }}
                            <br>                     
                        </td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
            {% if persons.paginator.num_pages > 1 %}
            {% bootstrap_paginate persons show_prev_next="false" extra_pagination_classes='justify-content-center' show_first_last="true" range=8 %}
            {% endif %} 
        </div>
    </div>
    </div>
{% endblock %}